# &amarok;i käsiraamat

Mike
Diehl

    madpenguin8@yahoo.com

amaroKi arendajate meeskond
Arendajad
Marek
Laane

    bald@online.ee

Tõlge eesti keelde
2005
amaroKi arendajate meeskond
&FDLNotice;
2005-01-02
2.1

&amarok; on KDE meediamängija.

KDE
multimeedia
mängija
audio
ogg
mp3
wav
muusika
heli

## Sissejuhatus

Logo

&amarok; on &kde; audiofailide mängija. &amarok; on avarate võimaluste, ühtaegu võimas ja hõlpsasti kasutatav rakendus.

Kas oled sageli tundnud masendust, kui pead muudkui lappama menüüd, et lihtsalt muusikafaile lugude nimekirja lisada? &amarok; võimaldab seda teha pelgalt vajalikke faile lugude nimekirja lohistades. Oletame, et otsid mingit konkreetset pala oma tuhandete lugude seast. &amarok;i muusikakogu sirvija pakub sulle otsinguriba, mis võimaldab vajaliku pala mõne sekundiga üles leida.

Nii pakub &amarok; kõiki neid häid ja teada-tuntud võimalusi, mida iga muugi audiofailide mängija, aga see pole veel kõik. Heida vaid pilk kontekstibrauserile ja sa näed, et &amarok; on teistest tubli sammu võrra ees. Kontekstibrauser kujutab endast käigult loodavat andmebaasi, kus uuendatakse järjepidevalt sinu lugude nimekirja kohta käivat statistikat. Seda saab pruukida ka albumi kaanepiltide tõmbamiseks, mis muudab brauseri mitte lihtsalt inforohkemaks, vaid ka visuaalselt köitvamaks.

Sul on juba terve hulk lugude nimekirju ja sa ei suuda kunagi otsustada, millist neist parajasti ette võtta? Siis sobib sulle lugude nimekirja sirvija. Salvestatud lugude nimekirjade laadimine sirvijasse käib üheainsa klahvivajutusega.

Lisaks aRtsile toetab &amarok; ka GStreameri, NMM ja xine heliservereid, mis muudab &amarok;i &kde; kõige edevamaks audiomängijaks. &amarok; on nutikas, armas ja seksikas. Proovi seda kohe!

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Autorid ja litsents

Rakenduse autoriõigus 2003-2004: Mark Kretschmann markey@web.de ja amaroKi meeskond

### amaroKi meeskond

- Christian babe-magnet Muehlhaeuser chris@chris.de

- Frederik ich bin kein Deustcher! Holljen fh@ez.no

- Mark it's good, but it's not irssi Kretschmann markey@web.de

- Max Turtle-Power Howell max.howell@methylblue.com

- Mike purple is not girly! Diehl madpenguin8@yahoo.com

- Pierpaolo Spaghetti Coder Di Panfilopippo_dp@libero.it

- Roman and God said, let there be Mac Becker roman@formmorf.de

- Stanislav did someone say DCOP? Karchebny Stanislav.Karchebny@kdemail.net

- Stefan MacroMolecularMooModeler Bogner bochi@online.ms

### Kaasautorid:

- Adam Pigg (analüsaatorid, paigad) adam@piggz.fsnet.co.uk

- Adeodato Simo (paigad) asp16@alu.ua.es

- Andreas Mair (MySql toetus) am_ml@linogate.com

- Dan Leinir Turthra Jensen (esimese korra nõustaja) admin@removeleinir.dk

- Enrico Ros (analüsaatorid, openGL kuningas) eros.kde@email.it

- Jarkko Lehti (testija) grue@iki.fi

- Josef Spillner (KDE RadioStationi kood) spillner@kde.org

- Kenneth Wesley Wimer II (ikoonid) kwwii@bootsplash.org

- Melchior Franz (uus FFT rutiin, veaparandused) mfranz@kde.org

- Michael Pyne (K3B ekspordi kood) michael.pyne@kdemail.net

- Nenad Grujicic (1.1 käivitusekraan) mchitman@neobee.net

- Olivier Bédard (veebilehekülje hoidja) paleo@pwsp.net

- Roland Gigler (MAS mootor) michael.pyne@kdemail.net

- Sami Nieminen (Audioscrobbleri toetus) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Seb Ruiz (OSD parandused, paigad, testimine) seb100@optusnet.com.au

- Whitehawk Stormchaser (testija, parandused) zerokode@gmx.net

Dokumentatsiooni autoriõigus 2004: Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Paigaldamine

### &amarok;i hankimine

&amarok;i saab alla tõmmata &amarok;i koduleheküljelt

Uusima arendusversiooni leiab &kde; CVS-ist moodulist kdeextragear-1.

#### &amarok;i kompileerimine

amaroKi kompileerimiseks ja paigaldamiseks oma süsteemi anna amaroKi lähteteksti baaskataloogis järgmised käsud:

`./configure --prefix=`kde-config --prefix``

`make`

`su -c "make install"`

Konfiguratsioonivõti --enable-final ei ole enam toetatud.

Et &amarok; kasutab autoconf'i ja automake'i, ei tohiks kompileerimisel probleeme tekkida. Kui neid siiski esineb, anna sellest teada &kde; meililistides

#### Konfiguratsioonivõtmed

&amarok; sarnaneb ülejäänud rakendustele selle poolest, et ka tema võib kasutada kompileerimise ajal konfiguratsioonivõtmeid (või ka mitte kasutada). Toome siin ära võtmed, mida saab kasutada.

Mõned kompileerimisel kasutatavad võtmed nõuavad spetsiaalseid sõltuvusi. Täpsemalt räägib neist nõuete osa.

Võti | Vaikimisi | Kirjeldus
--- | --- | ---
--enable-debug= | no | Silumissümbolite lubamine. Valikud on yes, no ja full. Kasuta võtit full, kui soovid kaasa aidata &amarok;i arendamisele.
--enable-mysql | Disabled | MySQL andmebaasi toe lubamine &amarok;is
--disable-amazon | Enabled | Amazoni kaanepiltide tõmbamise toe keelamine &amarok;is
--without-arts | With | aRtsi toe keelamine &amarok;is
--without-gstreamer | With | GStreameri toe keelamine &amarok;is
--without-xine | With | xine toe keelamine &amarok;is
--with-nmm | Without | NMM toe lubamine &amarok;is
--with-mas | Without | MAS toe lubamine &amarok;is
--without-opengl | With | OpenGL (analüsaatorite) toe keelamine &amarok;is
--without-included-sqlite | With | Ei kasutada kaasatud sqlite'i allikaid (nõuab sqlite'i paigaldamist)

&documentation.index;